Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## game.gamestorage.texas
Interface IF_SetGameStorage_TH

All Superinterfaces:
  IF_SetGameStorage

All Known Implementing Classes:
  SetGameStorage_TH

    public interface IF_SetGameStorage_TH

extends IF_SetGameStorage

Method Summary
`void` | `setEndHand(int finalpot, int[] cashDelta, Card[][] enemyCards)` Store information of the ending hand (winner, revealed holeCards, ...).
`void` | `setEndRound(long timestamp, java.util.ArrayList<Action> betHistory, Card[] revealedBoardCards)` Store information of the ending round.
`void` | `setHand(int[] position, int sb, int bb, int ante, int[] cashInit, Card[] holeCards)` Store information of the started hand.

Methods inherited from interface game.gamestorage.IF_SetGameStorage
`setEndCompetition, setGetGamedef, setStartCompetition`

Method Detail

### setHand

    void setHand(int[] position,
                 int sb,
                 int bb,
                 int ante,
                 int[] cashInit,
                 Card[] holeCards)

  Store information of the started hand. - own holeCards -

### setEndRound

    void setEndRound(long timestamp,
                     java.util.ArrayList<Action> betHistory,
                     Card[] revealedBoardCards)

  Store information of the ending round. (if it is the last round of a hand, setEndHand will be called after this) - bet gameStorage - revealed board cards -

### setEndHand

    void setEndHand(int finalpot,
                    int[] cashDelta,
                    Card[][] enemyCards)

  Store information of the ending hand (winner, revealed holeCards, ...). (no player actions) - amount won by player - revealed hole cards (if revealed) -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD